Simple Virtual Machine A simple but flexible virtual machine

Loading...
Searching...
No Matches
Functions
SVM plugin entry point values
SVM values

This module contains API functions to handle SVM plugin entry point values. More...

## Functions
SVM_FUNCTION SVM_Value_PluginEntryPoint | svm_value_pluginentrypoint_new (const void *svm, const SVM_Value_String plugin_name, const SVM_Value_String entry_name)
| This function creates a plugin entry point value the SVM can store in its memories from two string values.
SVM_FUNCTION SVM_Value_PluginEntryPoint | svm_value_pluginentrypoint_new__string (const void *svm, const SVM_String plugin_name, const SVM_String entry_name)
| This function creates a plugin entry point value the SVM can store in its memories from two SVM_String.
SVM_FUNCTION SVM_Value_PluginEntryPoint | svm_value_pluginentrypoint_new__raw (const void *svm, const char *plugin_name, const char *entry_name)
| This function creates a plugin entry point value the SVM can store in its memories from two C nul-terminated strings.
SVM_FUNCTION SVM_Value_PluginEntryPoint | svm_value_pluginentrypoint_new_prefix (const void *svm, const SVM_Value_PluginEntryPoint pep, const char *prefix)
| This function creates a plugin entry point value the SVM can store in its memories from a plugin entry point and a C nul-terminated string.
SVM_FUNCTION SVM_Value_PluginEntryPoint | svm_value_pluginentrypoint_new_null (const void *svm)
| This function creates a plugin entry point value the SVM can store in its memories without a value.
SVM_FUNCTION SVM_Boolean | svm_value_type_is_pluginentrypoint (const void *svm, const SVM_Value value)
| This function checks whether a value contains a plugin entry point.
SVM_FUNCTION SVM_String | svm_value_pluginentrypoint_get_plugin (const void *svm, const SVM_Value_PluginEntryPoint pep)
| This function extracts the plugin name contained in a plugin entry point value.
SVM_FUNCTION SVM_String | svm_value_pluginentrypoint_get_entry (const void *svm, const SVM_Value_PluginEntryPoint pep)
| This function extracts the entry name contained in a plugin entry point value.
SVM_FUNCTION void | svm_value_pluginentrypoint_set (const void *svm, SVM_Value_PluginEntryPoint value, const SVM_Value_PluginEntryPoint pluginentrypoint)
| This function replaces the pluginentrypoint value by another pluginentrypoint value.
SVM_FUNCTION void | svm_value_pluginentrypoint_set_plugin (const void *svm, SVM_Value_PluginEntryPoint value, const SVM_Value_String plugin_name)
| This function replaces the plugin name contained in a plugin entry point value from a string value.
SVM_FUNCTION void | svm_value_pluginentrypoint_set_plugin__string (const void *svm, SVM_Value_PluginEntryPoint value, const SVM_String plugin_name)
| This function replaces the plugin name contained in a plugin entry point value from a SVM_String.
SVM_FUNCTION void | svm_value_pluginentrypoint_set_plugin__raw (const void *svm, SVM_Value_PluginEntryPoint value, const char *plugin_name)
| This function replaces the plugin name contained in a plugin entry point value from a C nul-terminated string.
SVM_FUNCTION void | svm_value_pluginentrypoint_set_entry (const void *svm, SVM_Value_PluginEntryPoint value, const SVM_Value_String entry_name, const char *prefix)
| This function replaces the entry name contained in a plugin entry point value from a string value and an optional C nul-terminated string prefix.
SVM_FUNCTION void | svm_value_pluginentrypoint_set_entry__string (const void *svm, SVM_Value_PluginEntryPoint value, const SVM_String entry_name, const char *prefix)
| This function replaces the entry name contained in a plugin entry point value from a SVM_String and an optional C nul-terminated string prefix.
SVM_FUNCTION void | svm_value_pluginentrypoint_set_entry__raw (const void *svm, SVM_Value_PluginEntryPoint value, const char *entry_name, const char *prefix)
| This function replaces the entry name contained in a plugin entry point value from two C nul-terminated strings.
SVM_FUNCTION void | svm_value_pluginentrypoint_set_pluginentry (const void *svm, SVM_Value_PluginEntryPoint value, const SVM_Value_String plugin_name, const SVM_Value_String entry_name, const char *prefix)
| This function replaces the plugin name and the entry name contained in a plugin entry point value from two string values and an optional C nul-terminated string prefix.
SVM_FUNCTION void | svm_value_pluginentrypoint_set_pluginentry__string (const void *svm, SVM_Value_PluginEntryPoint value, const SVM_String plugin_name, const SVM_String entry_name, const char *prefix)
| This function replaces the plugin name and the entry name contained in a plugin entry point value from two SVM_String and an optional C nul-terminated string prefix.
SVM_FUNCTION void | svm_value_pluginentrypoint_set_pluginentry__raw (const void *svm, SVM_Value_PluginEntryPoint value, const char *plugin_name, const char *entry_name, const char *prefix)
| This function replaces the plugin name and the entry name contained in a plugin entry point value from three C nul-terminated strings.

## Detailed Description

This module contains API functions to handle SVM plugin entry point values.

## Function Documentation

## ◆ svm_value_pluginentrypoint_get_entry()

SVM_FUNCTION SVM_String svm_value_pluginentrypoint_get_entry | ( | const void * | svm,
|  | const SVM_Value_PluginEntryPoint | pep
| ) |  |

This function extracts the entry name contained in a plugin entry point value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | pep | The plugin entry point value to extract from.

Returns
  The entry name contained in the value.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the pep parameter does not contain a plugin entry point.

See also
  svm_value_type_is_pluginentrypoint
  svm_value_type_get

## ◆ svm_value_pluginentrypoint_get_plugin()

SVM_FUNCTION SVM_String svm_value_pluginentrypoint_get_plugin | ( | const void * | svm,
|  | const SVM_Value_PluginEntryPoint | pep
| ) |  |

This function extracts the plugin name contained in a plugin entry point value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | pep | The plugin entry point value to extract from.

Returns
  The plugin name contained in the value.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the pep parameter does not contain a plugin entry point.

See also
  svm_value_type_is_pluginentrypoint
  svm_value_type_get

## ◆ svm_value_pluginentrypoint_new()

SVM_FUNCTION SVM_Value_PluginEntryPoint svm_value_pluginentrypoint_new | ( | const void * | svm,
|  | const SVM_Value_String | plugin_name,
|  | const SVM_Value_String | entry_name
| ) |  |

This function creates a plugin entry point value the SVM can store in its memories from two string values.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | plugin_name | The name of the plugin containing the plugin object.
  [in] | entry_name | The name of the plugin object within the plugin.

Returns
  The plugin entry point value.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_value_pluginentrypoint_new__raw()

SVM_FUNCTION SVM_Value_PluginEntryPoint svm_value_pluginentrypoint_new__raw | ( | const void * | svm,
|  | const char * | plugin_name,
|  | const char * | entry_name
| ) |  |

This function creates a plugin entry point value the SVM can store in its memories from two C nul-terminated strings.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | plugin_name | The name of the plugin containing the plugin object.
  [in] | entry_name | The name of the plugin object within the plugin.

Returns
  The plugin entry point value.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_value_pluginentrypoint_new__string()

SVM_FUNCTION SVM_Value_PluginEntryPoint svm_value_pluginentrypoint_new__string | ( | const void * | svm,
|  | const SVM_String | plugin_name,
|  | const SVM_String | entry_name
| ) |  |

This function creates a plugin entry point value the SVM can store in its memories from two SVM_String.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | plugin_name | The name of the plugin containing the plugin object.
  [in] | entry_name | The name of the plugin object within the plugin.

Returns
  The plugin entry point value.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_value_pluginentrypoint_new_null()

SVM_FUNCTION SVM_Value_PluginEntryPoint svm_value_pluginentrypoint_new_null | ( | const void * | svm | ) |

This function creates a plugin entry point value the SVM can store in its memories without a value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.

Returns
  A non initialised plugin entry point value.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_value_pluginentrypoint_new_prefix()

SVM_FUNCTION SVM_Value_PluginEntryPoint svm_value_pluginentrypoint_new_prefix | ( | const void * | svm,
|  | const SVM_Value_PluginEntryPoint | pep,
|  | const char * | prefix
| ) |  |

This function creates a plugin entry point value the SVM can store in its memories from a plugin entry point and a C nul-terminated string.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | pep | The plugin entry point to prefix.
  [in] | prefix | The prefix to add to the entry name.

The plugin entry point "<plugin name>.<entry name>" is transformed into "<plugin name>.<prefix>_<entry name>".

Returns
  The plugin entry point value having a prefix.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_value_pluginentrypoint_set()

SVM_FUNCTION void svm_value_pluginentrypoint_set | ( | const void * | svm,
|  | SVM_Value_PluginEntryPoint | value,
|  | const SVM_Value_PluginEntryPoint | pluginentrypoint
| ) |  |

This function replaces the pluginentrypoint value by another pluginentrypoint value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in,out] | value | The plugin entry point value to update.
  [in] | pluginentrypoint | The plugin entry point to use for update.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the value parameter does not contain an plugin entry point.
  FAILURE | interruption when the pluginentrypoint parameter does not contain an plugin entry point.
  FAILURE | interruption when the value is a constant.

See also
  svm_value_type_is_pluginentrypoint
  svm_value_type_get

## ◆ svm_value_pluginentrypoint_set_entry()

SVM_FUNCTION void svm_value_pluginentrypoint_set_entry | ( | const void * | svm,
|  | SVM_Value_PluginEntryPoint | value,
|  | const SVM_Value_String | entry_name,
|  | const char * | prefix
| ) |  |

This function replaces the entry name contained in a plugin entry point value from a string value and an optional C nul-terminated string prefix.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in,out] | value | The plugin entry point value to update.
  [in] | entry_name | The new entry name.
  [in] | prefix | An optional prefix. The prefix is ignored when it is a null pointer.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the value parameter does not contain a plugin entry point.
  FAILURE | interruption when the value is a constant.

See also
  svm_value_type_is_pluginentrypoint
  svm_value_type_get

## ◆ svm_value_pluginentrypoint_set_entry__raw()

SVM_FUNCTION void svm_value_pluginentrypoint_set_entry__raw | ( | const void * | svm,
|  | SVM_Value_PluginEntryPoint | value,
|  | const char * | entry_name,
|  | const char * | prefix
| ) |  |

This function replaces the entry name contained in a plugin entry point value from two C nul-terminated strings.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in,out] | value | The plugin entry point value to update.
  [in] | entry_name | The new entry name.
  [in] | prefix | An optional prefix. The prefix is ignored when it is a null pointer.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the value parameter does not contain a plugin entry point.
  FAILURE | interruption when the value is a constant.

See also
  svm_value_type_is_pluginentrypoint
  svm_value_type_get

## ◆ svm_value_pluginentrypoint_set_entry__string()

SVM_FUNCTION void svm_value_pluginentrypoint_set_entry__string | ( | const void * | svm,
|  | SVM_Value_PluginEntryPoint | value,
|  | const SVM_String | entry_name,
|  | const char * | prefix
| ) |  |

This function replaces the entry name contained in a plugin entry point value from a SVM_String and an optional C nul-terminated string prefix.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in,out] | value | The plugin entry point value to update.
  [in] | entry_name | The new entry name.
  [in] | prefix | An optional prefix. The prefix is ignored when it is a null pointer.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the value parameter does not contain a plugin entry point.
  FAILURE | interruption when the value is a constant.

See also
  svm_value_type_is_pluginentrypoint
  svm_value_type_get

## ◆ svm_value_pluginentrypoint_set_plugin()

SVM_FUNCTION void svm_value_pluginentrypoint_set_plugin | ( | const void * | svm,
|  | SVM_Value_PluginEntryPoint | value,
|  | const SVM_Value_String | plugin_name
| ) |  |

This function replaces the plugin name contained in a plugin entry point value from a string value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in,out] | value | The plugin entry point value to update.
  [in] | plugin_name | The new plugin name.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the value parameter does not contain a plugin entry point.
  FAILURE | interruption when the value is a constant.

See also
  svm_value_type_is_pluginentrypoint
  svm_value_type_get

## ◆ svm_value_pluginentrypoint_set_plugin__raw()

SVM_FUNCTION void svm_value_pluginentrypoint_set_plugin__raw | ( | const void * | svm,
|  | SVM_Value_PluginEntryPoint | value,
|  | const char * | plugin_name
| ) |  |

This function replaces the plugin name contained in a plugin entry point value from a C nul-terminated string.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in,out] | value | The plugin entry point value to update.
  [in] | plugin_name | The new plugin name.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the value parameter does not contain a plugin entry point.
  FAILURE | interruption when the value is a constant.

See also
  svm_value_type_is_pluginentrypoint
  svm_value_type_get

## ◆ svm_value_pluginentrypoint_set_plugin__string()

SVM_FUNCTION void svm_value_pluginentrypoint_set_plugin__string | ( | const void * | svm,
|  | SVM_Value_PluginEntryPoint | value,
|  | const SVM_String | plugin_name
| ) |  |

This function replaces the plugin name contained in a plugin entry point value from a SVM_String.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in,out] | value | The plugin entry point value to update.
  [in] | plugin_name | The new plugin name.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the value parameter does not contain a plugin entry point.
  FAILURE | interruption when the value is a constant.

See also
  svm_value_type_is_pluginentrypoint
  svm_value_type_get

## ◆ svm_value_pluginentrypoint_set_pluginentry()

SVM_FUNCTION void svm_value_pluginentrypoint_set_pluginentry | ( | const void * | svm,
|  | SVM_Value_PluginEntryPoint | value,
|  | const SVM_Value_String | plugin_name,
|  | const SVM_Value_String | entry_name,
|  | const char * | prefix
| ) |  |

This function replaces the plugin name and the entry name contained in a plugin entry point value from two string values and an optional C nul-terminated string prefix.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in,out] | value | The plugin entry point value to update.
  [in] | plugin_name | The new plugin name.
  [in] | entry_name | The new entry name.
  [in] | prefix | An optional prefix. The prefix is ignored when it is a null pointer.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the value parameter does not contain a plugin entry point.
  FAILURE | interruption when the value is a constant.

See also
  svm_value_type_is_pluginentrypoint
  svm_value_type_get

## ◆ svm_value_pluginentrypoint_set_pluginentry__raw()

SVM_FUNCTION void svm_value_pluginentrypoint_set_pluginentry__raw | ( | const void * | svm,
|  | SVM_Value_PluginEntryPoint | value,
|  | const char * | plugin_name,
|  | const char * | entry_name,
|  | const char * | prefix
| ) |  |

This function replaces the plugin name and the entry name contained in a plugin entry point value from three C nul-terminated strings.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in,out] | value | The plugin entry point value to update.
  [in] | plugin_name | The new plugin name.
  [in] | entry_name | The new entry name.
  [in] | prefix | An optional prefix. The prefix is ignored when it is a null pointer.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the value parameter does not contain a plugin entry point.
  FAILURE | interruption when the value is a constant.

See also
  svm_value_type_is_pluginentrypoint
  svm_value_type_get

## ◆ svm_value_pluginentrypoint_set_pluginentry__string()

SVM_FUNCTION void svm_value_pluginentrypoint_set_pluginentry__string | ( | const void * | svm,
|  | SVM_Value_PluginEntryPoint | value,
|  | const SVM_String | plugin_name,
|  | const SVM_String | entry_name,
|  | const char * | prefix
| ) |  |

This function replaces the plugin name and the entry name contained in a plugin entry point value from two SVM_String and an optional C nul-terminated string prefix.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in,out] | value | The plugin entry point value to update.
  [in] | plugin_name | The new plugin name.
  [in] | entry_name | The new entry name.
  [in] | prefix | An optional prefix. The prefix is ignored when it is a null pointer.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the value parameter does not contain a plugin entry point.
  FAILURE | interruption when the value is a constant.

See also
  svm_value_type_is_pluginentrypoint
  svm_value_type_get

## ◆ svm_value_type_is_pluginentrypoint()

SVM_FUNCTION SVM_Boolean svm_value_type_is_pluginentrypoint | ( | const void * | svm,
|  | const SVM_Value | value
| ) |  |

This function checks whether a value contains a plugin entry point.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | value | The value to be diagnosed.

Returns
  TRUE if the value contains a plugin entry point, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)